EDIT - bug #6164

cyprus: invalid data causing crash in modifier editor
10/25/2016 12:09 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: data Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

Adding a new Modifier vocabulary to the cyprus database causes an exception on save (stack trace below).

This is probably caused by the modifier terms in this database having the same label:
login : admin
editor version : 4.4.0.201610242250
server : test.e-taxonomy.eu / edit-test
schema version : 4.0.0.0.201604200000
os : Linux 3.19.0-59-generic amd64
java : 1.8.0_60
java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxonomy.cdm.mod
el.common.DefinedTerm#2255] are being merged. Detached: [N/A]; Detached: [N/A]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotA
llowedObserver. java:37)

at org.hibernate.event.internal.MergeContext.put (MergeContext. java:245)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:304)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:431)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:363)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:431)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:363)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:69)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:822)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:827)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEntityDaoBase. j
ava:256)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:224)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:110)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy3593.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)
at org.springframework.remoting. support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati

onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca

tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy3871.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)
at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelIn

vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB

asedExporter. java:78)
at

-—— TRUNCATED ---

History

#1 - 10/25/2016 12:09 PM - Andreas Kohlbecker
- Project changed from PhycoBank to EDIT

- Category set to data

- Assignee set to Andreas Miiller

- Severity set to normal

#2 - 10/25/2016 12:10 PM - Andreas Kohlbecker
- File cyprus-modifiers.png added

#3 - 01/20/2021 08:06 PM - Andreas Miuller

- Target version set to Release 5.19

test if this is still an open issue.

#4 - 01/27/2021 03:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#5 - 03/10/2021 02:35 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#6 - 04/16/2021 09:47 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46

#7 - 05/09/2023 03:20 PM - Andreas Miiller
- Status changed from New to Worksforme

- Target version deleted (Release 5.46)

- % Done changed from 0 to 100

The way vocabularies are created and persisted has been changed since ticket creation.
| could not reproduce this when creating a new in test/cyprus.

Therefore close this ticket as worksforme.

Files
cyprus-modifiers.png 12.2 KB 10/25/2016 Andreas Kohlbecker
